* {
  box-sizing: border-box;
  margin: 0;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 16px;
}

body,
html {
  width: 100%;
  height: 100%;
  background-color:#F6FFFE;
}
.container {
  display: grid;
  grid-column-gap: 20px;
  grid-row-gap: 20px;
  grid-template-columns: auto auto auto auto;
  padding-top: 2rem;
}

.container > .item {
  text-align: center;
  padding: 0.5rem;
  border: 1px solid #A15FFB;
  box-shadow: 4px 4px #A15FFB;
  font-size: 0.9rem;
  background-color: white;
  min-height:100px;
  display:flex;
  flex-direction: column;
  justify-content: center;
}

.container > .category-header {
  grid-column: 1 / span 4;
  color: black;
}
.container > .category-header > h3 {
  font-size: 1.5rem;
  padding-top:1.0rem;
  color:#D5008F;
}

.container > .category-header > h2 {
    font-size: 2.0rem;
    font-weight: 800;
    padding-top:1.5rem;
    padding-bottom:1.0rem;
    grid-row-gap: 2em;
    color:black;
  }

.container > .item:hover {
  transform: scale(1.02);
}

a,
a:link,
a:visited {
  color: #A15FFB;
  font-size: 0.9rem;
  text-decoration: none;
  font-weight: 500;
}

#app {
  padding: 2rem;
}

#app > h1 {
  font-size: 3rem;
}

#app > p {
  margin-top: 1rem;
  max-width: 600px;
}


/* @media  (max-width: 600px) {

    .container {
        grid-template-columns: auto;
      }

      .container > .category-header {
        grid-column: 1 / span 1;
      }
  } */

@media (max-width: 600px) {
/* For mobile phones: */
.container {
    grid-template-columns: auto;
    }

    .container > .category-header {
    grid-column: 1 / span 1;
    }
}

@media (min-width:600px) and (max-width: 768px) {
/* For mobile phones: */
.container {
    grid-template-columns: auto auto;
    }

    .container > .category-header {
    grid-column: 1 / span 2;
    }
}

@media (min-width:769px) and (max-width:992px){
.container {
    grid-template-columns: auto auto auto;
    }

    .container > .category-header {
    grid-column: 1 / span 3;
    }
}